<?xml version="1.0" encoding="UTF-8"?>
<RESOURCE_PROFILE>
	<HEADER>
		<RESOURCE_IDENTIFIER value="b7a6c826-6d5e-46c7-a553-4c0fc1d9ab72_V29ya2Zsb3dUZW1wbGF0ZURTUmVzb3VyY2VzL1dvcmtmbG93VGVtcGxhdGVEU1Jlc291cmNlVHlwZQ=="/>
		<RESOURCE_TYPE value="WorkflowTemplateDSResourceType"/>
		<RESOURCE_KIND value="WorkflowTemplateDSResources"/>
		<RESOURCE_URI value=""/>
		<DATE_OF_CREATION value="2017-07-12T17:00:00.0Z"/>
	</HEADER>
	<BODY>
		<CONFIGURATION>
			<PARAMETERS>
				<PARAM name="publisherEndpoint" description="AriadnePlus Publisher Endpoint" required="true" type="string"/>
				<PARAM name="cleanMdstoreId" description="Store for transformed records" required="true" type="string"/>
			</PARAMETERS>
			<WORKFLOW>
				<NODE name="fetchMdStore" type="FetchMDStoreRecords" isStart="true">
					<DESCRIPTION>Fetch records from MDStore</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="mdId" ref="cleanMdstoreId"/>
						<PARAM name="eprParam" value="clean_epr"/>
						<PARAM name="noCursorTimeout" value="true"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="publish"/>
					</ARCS>
				</NODE>
				<NODE name="publish" type="PublishVirtuoso">
					<DESCRIPTION>Feed records into Virtuoso</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="inputEprParam" value="clean_epr"/>
						<PARAM name="publisherEndpoint" ref="publisherEndpoint"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="success"/>
					</ARCS>
				</NODE>
			</WORKFLOW>
		</CONFIGURATION>
	</BODY>
</RESOURCE_PROFILE>
